<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
    <body>
        <nav class="navbar navbar-expand navbar-light bg-light">
            <div class="col-sm-8">
                <a class="navbar-brand" th:href="@{/home}">Virtual Teacher</a>
                <a class="navbar-brand" sec:authorize="hasRole('ADMIN')" th:href="@{/users}">Users</a>
            </div>
            <div class="col-sm-4" sec:authorize="isAuthenticated()">
                <div class="row float-right">
                    <a class="navbar-brand" th:href="@{'/users/' + ${user.id}}">Profile</a>
                    <form th:action="@{/logout}" method="post">
                        <input class="btn btn-primary" type="submit" value="Logout" />
                    </form>
                </div>
            </div>
        </nav>
        <div class="container">
            <div class="row">
                <div class="col-6 offset-3">
                    <form th:object="${user}" th:method="put" enctype="multipart/form-data">
                        <div class="form-group">
                            <label class="col-sm-2 col-form-label col-form-label-lg">Username</label>
                            <input type="text" class="form-control" th:field="*{username}"/></p>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 col-form-label col-form-label-lg">Picture</label>
                            <input type="file" class="mt-3 form-control-file rounded-0" name="userPicture" />
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 col-form-label col-form-label-lg">Mail</label>
                            <input type="text" class="form-control" th:field="*{mail}"/>
                        </div>
                        <div class="form-group" sec:authorize="hasRole('ADMIN')">
                            <label class="col-sm-2 col-form-label col-form-label-lg">Role</label>
                            <select id="authority" name="authority" class="form-control">
                                <option value="ROLE_USER">USER</option>
                                <option value="ROLE_ADMIN">ADMIN</option>
                                <option value="ROLE_TEACHER">TEACHER</option>
                            </select>
                        </div>
                        <input sec:authorize="hasRole('USER') || hasRole('TEACHER')" type="hidden" name="authority" th:value="${authority}">
                        <input type="submit" class="btn btn-primary" value="Save">
                    </form>
                </div>
            </div>
        </div>
    </body>
</html>